From dfc98b5fa1f7744b17ead661f2919f5b7c2105a7 Mon Sep 17 00:00:00 2001
From: Lukas Fleischer <calcurse@cryptocrack.de>
Date: Sun, 22 Jan 2012 16:55:43 +0100
Subject: test/: Add test case for "-S" (pattern search)

* search-001.sh: Compare the output of "-S <regex>" (using a regular
  expression) with hardcoded data.

Signed-off-by: Lukas Fleischer <calcurse@cryptocrack.de>
---
 test/Makefile.am   |  3 ++-
 test/search-001.sh | 25 +++++++++++++++++++++++++
 2 files changed, 27 insertions(+), 1 deletion(-)
 create mode 100755 test/search-001.sh

diff --git a/test/Makefile.am b/test/Makefile.am
index 539d75c..238df35 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -14,7 +14,8 @@ TESTS = \
 	range-002.sh \
 	range-003.sh \
 	appointment-001.sh \
-	next-001.sh
+	next-001.sh \
+	search-001.sh
 
 check_PROGRAMS = run-test
 check_SCRIPTS = $(TESTS)
diff --git a/test/search-001.sh b/test/search-001.sh
new file mode 100755
index 0000000..d56fab5
--- /dev/null
+++ b/test/search-001.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+if [ ! -x "$(command -v faketime)" ]; then
+  echo "libfaketime not found - skipping $0..."
+  exit 1
+fi
+
+if [ "$1" = 'actual' ]; then
+  calcurse -D data/ -s01/01/1902 -r36500 -S '^[KMS]an.*or'
+elif [ "$1" = 'expected' ]; then
+  cat <<EOD
+12/06/42:
+ - 09:46 -> ..:..
+	Manuel glorified four
+
+12/07/42:
+ - ..:.. -> 04:33
+	Manuel glorified four
+
+05/28/85:
+ * Sandbox processor's overdraft's
+EOD
+else
+  ./run-test "$0"
+fi
-- 
cgit v1.2.3-70-g09d2